using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreDatabase.Models;

public class Request
{
    public int Id { get; set; }

    [Required]
    public DateTime DateRequest { get; set; }

    public int? AssemblyId { get; set; }

    [ForeignKey("AssemblyId")]
    public virtual Assembly Assembly { get; set; } = new();

    public int UserID { get; set; }

    [ForeignKey("UserID")]
    public virtual User User { get; set; } = new();
}